Download it now!
Bug 30474 - docx rotated text import failure
Summary: docx rotated text import failure
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Noel Power
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-29 13:29 UTC by Andras Timar
Modified: 2012-05-05 09:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
sample document with rotated text (12.92 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2010-09-29 13:29 UTC, Andras Timar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2010-09-29 13:29:37 UTC
Created attachment 39055 [details]
sample document with rotated text

Please find attached a sample document. It is not imported correctly into LibreOffice, Rotated text by 90 degrees and 270 degrees in table cells are not displayed well in LibreOffice. 

The doc format version is displayed correctly.
Comment 1 Cédric Bosdonnat 2010-09-29 14:07:04 UTC
Docx is for me.
Comment 2 Raphael Bircher 2010-10-01 10:48:04 UTC
CCing me
Comment 3 Noel Power 2010-11-30 01:39:28 UTC
ok, assigning to me, it is fixed in master. Probably there are other textDirection ( that is the docx attribute ) scenarios not covered  ( asian languages ? )  I certainly don't cover all the available values for this attribute and this is my first ooxml bug ;-)  But for this document the fix seems good! marking as fixed
Comment 4 Roman Eisele 2012-05-05 09:02:36 UTC
Talking about DOCX import, this issue is (at least at the surface) a Writer issue, therefore changed the 'Component' field accordingly.